class EvaluationAttribute {
  late int evaluationAttrId;
  int? evaluationId;
  late String name;
  late String sex;
  late int ageMin;
  late int ageMax;
  late double valueMin;
  late double valueMax;
  late String evaluationText;
  String? suggestion;

  EvaluationAttribute.fromJson(Map json) {
    evaluationAttrId = json['evaluationAttrId'];
    evaluationId = json['evaluationId'];
    name = json['name'];
    sex = json['sex'];
    ageMin = json['ageMin'];
    ageMax = json['ageMax'];
    valueMin = json['valueMin'];
    valueMax = json['valueMax'];
    evaluationText = json['evaluation_text'];
    suggestion = json['suggestion'];
  }

  @override
  String toString() {
    Map<String, dynamic> json = {
      'evaluationAttrId': evaluationAttrId,
      'evaluationId': evaluationId,
      'name': name,
      'sex': sex,
      'ageMin': ageMin,
      'ageMax': ageMax,
      'valueMin': valueMin,
      'valueMax': valueMax,
      'evaluation_text': evaluationText,
    };
    return json.toString();
  }
}
